# Project: Handwritten Text Line Recognition

## Context

- Task: handwritten text line recognition
- Model: FCN
- Dataset: IAM (https://fki.tic.heia-fr.ch/databases/iam-handwriting-database)

## Files provided

- model.py: definition of the model architecture
- dataset.py: script to format and use the dataset
- classes.json: classes with associated indices
- htr_weights.pth: the weights after training the model on the IAM dataset
  - can be downloaded here: https://people.irisa.fr/Denis.Coquenet/courses/content/M2-DLV/htr_weights.pth


## Additional information

- The python package ```editdistance``` can be used to compute the levenshtein distance between two sequences of characters/words
- The dataset can be downloaded here: https://people.irisa.fr/Denis.Coquenet/courses/content/M2-DLV/iam.zip

## Reference paper
Coquenet et al, "Recurrence-free unconstrained handwritten text recognition using gated fully convolutional network", ICFHR 2020.

Paper: https://arxiv.org/abs/2012.04961